{include file='header' pageTitle='wcf.acp.didyouknow.importAndExport'}

<header class="boxHeadline">
	<h1>{lang}wcf.acp.didyouknow.importAndExport{/lang}</h1>
</header>

{include file='formError'}

{if $success|isset}
	<p class="success">{lang}wcf.acp.didyouknow.import.success{/lang}</p>	
{/if}

<form method="post" action="{link controller='DidYouKnowImportAndExport'}{/link}" enctype="multipart/form-data">
	<div class="container containerPadding marginTop shadow">
		<fieldset>
			<legend>{lang}wcf.acp.didyouknow.import{/lang}</legend>
			<dl{if $errorField == 'entryImportType'} class="formError"{/if}>
				<dt><label for="entryImportType">{lang}wcf.acp.didyouknow.import.entryImportType{/lang}</label></dt>
				<dd>
					<select name="entryImportType" id="input">
						<option value="detect">{lang}wcf.acp.didyouknow.import.detect{/lang}</option>
						<option value="xml">{lang}wcf.acp.didyouknow.import.xml{/lang}</option>
						<option value="compatibility">{lang}wcf.acp.didyouknow.import.compatibility{/lang}</option>
						<option value="text">{lang}wcf.acp.didyouknow.import.text{/lang}</option>
						{event name='importTypes'}
					</select>
					{if $errorField == 'entryImportType'}
						<small class="innerError">
							{lang}wcf.acp.didyouknow.import.error.{@$errorType}{/lang}
						</small>
					{/if}
					<small>{lang}wcf.acp.didyouknow.import.entryImportType.description{/lang}</small>
				</dd>
			</dl>
				
			<dl{if $errorField == 'entryImport'} class="formError"{/if}>
				<dt><label for="entryImport">{lang}wcf.acp.didyouknow.import.upload{/lang}</label></dt>
				<dd>
					<input type="file" id="entryImport" name="entryImport" value="" />
					{if $errorField == 'entryImport'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.acp.didyouknow.import.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
					<small>{lang}wcf.acp.didyouknow.import.upload.description{/lang}</small>
				</dd>
			</dl>
			
			<dl{if $errorField == 'truncate'} class="formError"{/if}>
				<dd>
					<label for="truncate"><input id="truncate" type="checkbox" name="truncate" value="truncate" /> {lang}wcf.acp.didyouknow.import.truncate{/lang}</label>
					<small>{lang}wcf.acp.didyouknow.import.truncate.description{/lang}</small>
				</dd>
			</dl>
			
			{event name='importFields'}
		</fieldset>
		
		{event name='importFieldsets'}
		
		<div class="formSubmit">
			<input type="submit" name="submitButton" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
			{@SECURITY_TOKEN_INPUT_TAG}
		</div>
	</div>
</form>

<div class="container containerPadding marginTop shadow">
	<fieldset>
		<legend>{lang}wcf.acp.didyouknow.export{/lang}</legend>
		
		<dl id="optionExportDiv">
			<dt><label>{lang}wcf.acp.didyouknow.export.download{/lang}</label></dt>
			<dd>
				<p><a href="{link controller='DidYouKnowExport'}{/link}" id="optionExport" class="button">{lang}wcf.acp.didyouknow.export{/lang}</a></p>
				<small>{lang}wcf.acp.didyouknow.export.download.description{/lang}</small>
			</dd>
		</dl>
		
		{event name='exportFields'}
	</fieldset>
	
	{event name='exportFieldsets'}
</div>

{include file='footer'}