<?php
namespace wcf\action;
use wcf\action\AbstractAction;
use wcf\data\didyouknow\DidYouKnowEntryList;
use wcf\system\WCF;

/**
 * Returns the didYouKnow box template.
 *
 * @author	Jonathan Frick <defense>
 * @copyright	2009-2012 WBB-World
 * @license	Creative Commons BY-SA 3.0 <http://creativecommons.org/licenses/by-sa/3.0/de/legalcode>
 * @package	de.wbb-world.wcf.didyouknow
 * @subpackage	action
 * @category 	Community Framework
 */
class DidYouKnowLoaderAction extends AbstractAction {

	/**
	 * @see	wcf\action\IAction::execute()
	 */
	public function execute() {
		parent::execute();
		
		// get entry
		$list = new DidYouKnowEntryList();
		$entry = $list->getRandomeEntry();
		
		// update view counter
		if (DIDYOUKNOW_VIEW_COUNTER && !empty($entry)) {
			$editor =  new \wcf\data\didyouknow\DidYouKnowEntryEditor ($entry);
			$editor->updateViewCount();
		}
		
		// assign 
		WCF::getTPL()->assign (array(
			'didYouKnowEntry' => $entry,
			'ajax' => 1
		));
		
		// display
		WCF::getTPL()->display ('didYouKnowBox');
	}
	
}
